from rest_framework import serializers
from .models import SearchSession, Creator


class CreatorSerializer(serializers.ModelSerializer):
    """创作者序列化器"""
    
    class Meta:
        model = Creator
        fields = '__all__'


class CreatorDetailSerializer(serializers.ModelSerializer):
    """创作者详细信息序列化器"""
    
    class Meta:
        model = Creator
        fields = '__all__'


class SearchSessionSerializer(serializers.ModelSerializer):
    """搜索会话序列化器"""
    
    class Meta:
        model = SearchSession
        fields = '__all__'


class SearchSessionDetailSerializer(serializers.ModelSerializer):
    """搜索会话详细信息序列化器，包含创作者数据"""
    creators = CreatorSerializer(many=True, read_only=True)
    
    class Meta:
        model = SearchSession
        fields = '__all__' 