from rest_framework import serializers

class FeishuTableQuerySerializer(serializers.Serializer):
    """飞书表格查询参数序列化器"""
    app_token = serializers.CharField(required=True, help_text="飞书应用TOKEN")
    table_id = serializers.CharField(required=True, help_text="表格ID")
    view_id = serializers.CharField(required=False, allow_null=True, help_text="视图ID")
    access_token = serializers.CharField(required=False, allow_null=True, help_text="用户访问令牌")

class FeishuTableRecordSerializer(serializers.Serializer):
    """飞书表格记录序列化器"""
    record_id = serializers.CharField(read_only=True)
    fields = serializers.DictField(read_only=True)
