from django.contrib import admin
from django.urls import path, include
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/token/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('api/user/', include('apps.user.urls')),
    path('api/daren_detail/', include('apps.daren_detail.urls')),
    path('api/operation/', include('apps.expertproducts.urls')),
    path('api/discovery/', include('apps.discovery.urls')),
    path('api/template/', include('apps.template.urls')),
    path('api/', include('apps.brands.urls')),
    path('api/chat-history/', include('apps.chat.urls')),
    path('api/gmail/', include('apps.gmail.urls')),
    path('api/feishu/', include('apps.feishu.urls')),
    path('api/knowledge-bases/', include('apps.knowledge_base.urls')),
    path('api/rlhf/', include('apps.rlhf.urls')),
]

# 在开发环境中提供媒体文件服务
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
